<template>
  <div class="site-container">
    <component :is="errorPage" :error="error" />
  </div>
</template>

<script>
import Error404 from '~/components/errors/404'
import Error500 from '~/components/errors/500'

export default {
  components: { Error404, Error500 },
  props: {
    error: {
      type: Object,
      required: true
    }
  },
  computed: {
    errorPage() {
      return this.error.statusCode === 404 ? Error404 : Error500
    }
  }
}
</script>

<style lang="scss">
.site-container {
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  padding: 15px 10px 15px;

  &::after {
    content: '';
    display: table;
    clear: both;
  }
}
</style>
